petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSGetType

Gets the PetscDS type name (as a string) from the object.

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetType(PetscDS prob, PetscDSType *name)

Not Collective

### Input Parameter

prob -The PetscDS

### Output Parameter

name -The PetscDS type name

Not available from Fortran

### Keywords

PetscDS, get, type, name

### See Also

PetscDSSetType(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages